%define oname OpenJPEG
%define oversion %(echo %{version} | sed -e 's/\\./_/g')

%define major 1
%define lib_name %mklibname %{name} %{major}
%define lib_dev %mklibname %{name} -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 1.5.0
%define subrel 3
Release: %mkrel 1
Summary: An open-source JPEG 2000 codec 
Source0: http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.gz
Patch50: openjpeg-1.5.0-cmake_libdir.patch
Patch51: openjpeg-1.5.0-cmake_header_symlink.patch
Patch52: openjpeg-1.5.0-cmake_Config.patch
Patch53: openjpeg-1.5.0-CVE-2009-5030.patch
Patch54: openjpeg-1.3-CVE-2012-3358.patch
Patch100: openjpeg-1.5.0-pkgconfig_includedir.patch
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
BuildRequires: png-devel
BuildRequires: tiff-devel
BuildRequires: lcms2-devel
BuildRequires: cmake

%description
%{common_description}

%files
%{_bindir}/*
%{_mandir}/man1/*
%doc %{_datadir}/doc/%{name}-*/*
#---------------------------------------------

%package -n %{lib_name}
Summary: %{oname} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%files -n %{lib_name}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

#---------------------------------------------

%package -n %{lib_dev}
Summary: Development tools for programs using the %{oname} library
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*/*.cmake

#---------------------------------------------

%prep
%setup -q
%patch50 -p1 -b .cmake_libdir
%patch51 -p1 -b .cmake_header_symlink
%patch52 -p1 -b .cmake_Config
%patch53 -p1 -b .CVE-2009-5030
%patch54 -p1 -b .CVE-2012-3358
%patch100 -p1 -b .pkgconfig_includedir

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 11 2012 luigiwalser <luigiwalser> 1.5.0-1.3.mga2
+ Revision: 269566
- add upstream patch to fix CVE-2012-3358
- fix CVE-2009-5030 patch
- add upstream patch to work around CVE-2009-5030

  + fwang <fwang>
    - sync with fedora patches
    - new version 1.5.0

* Sun Dec 25 2011 fwang <fwang> 1.4-3.mga2
+ Revision: 187415
- rebuild for new tiff

* Fri Oct 07 2011 fwang <fwang> 1.4-2.mga2
+ Revision: 152637
- fix header of openjpeg

* Fri Oct 07 2011 fwang <fwang> 1.4-1.mga2
+ Revision: 152599
- use plain lib
- specify libdir
- new version 1.4, sync with fedora

* Sat Jan 15 2011 ahmad <ahmad> 1.3-7.mga1
+ Revision: 19348
- imported package openjpeg

